Subject: RE: [Hipsec] Re: ICE-for-HIP: the design choices

From: "Henderson, Thomas R" <[email-masked]>
Date: Mon, 2 Jul 2007 17:55:16 -0700

I'm catching up on this extensive thread and will respond to other
points once I'm caught up with the drafts, but I'll respond now to this
specific question addressed to me below.

> I believe the main reason why the LOCATOR is in R1 is that 
> the Responder 
> can "force" the Initiator to switch immediately to an 
> alternative address 
> already in I2. However, this cannot be applied to NAT 
> traversal because 
> reachability detection for working addresss pairs must be done first.
> 
> Tom, can you comment this?
> 

Yes, this is the reason for LOCATOR in R1, but NAT traversal
considerations were not taken into account at that time.

- Tom

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec